Retrieves all the email notification
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
email_notification| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| db_table_id |
db_table_id |
globally unique identifier | |
| id_in_table |
id_in_table |
globally unique identifier | |
| date_sent |
utc date time email sent. |
date | |
| type |
type, like CONTRACT_RENEW , IMPORT_DONE , JOB_APPROVAL , JOB_PLANNING , ORDER , PURCHASE_ORDER , TASK |
string | |
| subject |
subject of email |
string | |
| message |
email message in html format |
string |
Response Formats
application/json, text/json
Sample:
{
"id": "873792f6-f0d9-4aee-b067-4b2ca404c577",
"db_table_id": "e2bcbbb6-7731-4a0b-a00e-b427162aa1d9",
"id_in_table": "23bd5bb7-6c00-42cc-bd9d-951062e5d20b",
"date_sent": "2026-11-18T11:30:34.4654348+00:00",
"type": "sample string 5",
"subject": "sample string 6",
"message": "sample string 7"
}